## ros-humble-ign-ros2-control 0.7.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ign_ros2_control)

# Default to C11
if(NOT CMAKE_C_STANDARD)
    set(CMAKE_C_STANDARD 11)
endif()
# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 17)
endif()

# Compiler options
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# Find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(controller_manager REQUIRED)
find_package(hardware_interface REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(yaml_cpp_vendor REQUIRED)

if("$ENV{IGNITION_VERSION}" STREQUAL "citadel")
  find_package(ignition-gazebo3 REQUIRED)
  set(IGN_GAZEBO_VER ${ignition-gazebo3_VERSION_MAJOR})
  message(STATUS "Compiling against Ignition Citadel")

elseif("$ENV{IGNITION_VERSION}" STREQUAL "edifice")
  find_package(ignition-gazebo5 REQUIRED)
  set(IGN_GAZEBO_VER ${ignition-gazebo5_VERSION_MAJOR})
  message(STATUS "Compiling against Ignition Edifice")

elseif("$ENV{IGNITION_VERSION}" STREQUAL "fortress")
  find_package(ignition-gazebo6 REQUIRED)
  set(IGN_GAZEBO_VER ${ignition-gazebo6_VERSION_MAJOR})
  message(STATUS "Compiling against Ignition Fortress")

else()
  find_package(ignition-gazebo6 REQUIRED)
  set(IGN_GAZEBO_VER ${ignition-gazebo6_VERSION_MAJOR})
  message(STATUS "Compiling against Ignition Fortress")
endif()

find_package(ignition-plugin1 REQUIRED)
set(IGN_PLUGIN_VER ${ignition-plugin1_VERSION_MAJOR})

include_directories(include)

add_library(${PROJECT_NAME}-system SHARED
  src/ign_ros2_control_plugin.cpp
)

target_link_libraries(${PROJECT_NAME}-system
  ignition-gazebo${IGN_GAZEBO_VER}::core
  ignition-plugin${IGN_PLUGIN_VER}::register
)
ament_target_dependencies(${PROJECT_NAME}-system
  ament_index_cpp
  controller_manager
  hardware_interface
  pluginlib
  rclcpp
  yaml_cpp_vendor
  rclcpp_lifecycle
)

#########

add_library(ign_hardware_plugins SHARED
  src/ign_system.cpp
)
ament_target_dependencies(ign_hardware_plugins
  rclcpp_lifecycle
  hardware_interface
  rclcpp
)
target_link_libraries(ign_hardware_plugins
  ignition-gazebo${IGN_GAZEBO_VER}::core
)

## Install
install(TARGETS
  ign_hardware_plugins
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(DIRECTORY
  include/
  DESTINATION include
)

# Testing and linting
if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME} ign_hardware_plugins)

# Install directories
install(TARGETS ${PROJECT_NAME}-system
  DESTINATION lib
)

pluginlib_export_plugin_description_file(ign_ros2_control ign_hardware_plugins.xml)

# Setup the project
ament_package()

=== debian/changelog ===
ros-humble-ign-ros2-control (0.7.1-1jammy) jammy; urgency=high

  * Catch pluginlib exceptions (backport #175 <https://github.com/ros-controls/gz_ros2_control/issues/175>) (#176 <https://github.com/ros-controls/gz_ros2_control/issues/176>)
  * Fixed install include (#162 <https://github.com/ros-controls/gz_ros2_control/issues/162>)
  * Install include directory since it is exported (#127 <https://github.com/ros-controls/gz_ros2_control/issues/127>) (#161 <https://github.com/ros-controls/gz_ros2_control/issues/161>)
    (cherry picked from commit ab33f76d158e533c21537bc408f636831819e875)
    Co-authored-by: Tim Clephas <mailto:tim.clephas@nobleo.nl>
  * Remove plugin export (ROS 1 syntax) (backport #158 <https://github.com/ros-controls/gz_ros2_control/issues/158>) (#159 <https://github.com/ros-controls/gz_ros2_control/issues/159>)
    * Remove plugin export from ROS 1 (#158 <https://github.com/ros-controls/gz_ros2_control/issues/158>)
    (cherry picked from commit 223086dea282ea3ff2c432414396952b9cfeec88)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, Christoph Fröhlich, mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-ign-ros2-control (0.5.0-1jammy) jammy; urgency=high

  * Fixed segmentation fault with logger (backport #136 <https://github.com/ros-controls/gz_ros2_control/issues/136>) (#140 <https://github.com/ros-controls/gz_ros2_control/issues/140>)
  * Contributors: mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 22 May 2023 22:00:00 -0000

ros-humble-ign-ros2-control (0.4.4-1jammy) jammy; urgency=high

  * Context and Namespace Handling for Multi-Robot Sim (#92 <https://github.com/ros-controls/gz_ros2_control/issues/92>)
  * Various bug fixes (#114 <https://github.com/ros-controls/gz_ros2_control/issues/114>)
  * Force setting use_sim_time parameter when using plugin. (#100 <https://github.com/ros-controls/gz_ros2_control/issues/100>)
  * Enable loading params from multiple yaml files (#94 <https://github.com/ros-controls/gz_ros2_control/issues/94>)
  * Add support for mimic joints. (#33 <https://github.com/ros-controls/gz_ros2_control/issues/33>)
  * Set right initial velocity (#81 <https://github.com/ros-controls/gz_ros2_control/issues/81>)
  * Fix setting initial values if command interfaces are not defined. (#73 <https://github.com/ros-controls/gz_ros2_control/issues/73>)
  * activated all hardware by default and improved variable naming (#74 <https://github.com/ros-controls/gz_ros2_control/issues/74>)
  * Implemented perform_command_mode_switch override in GazeboSystem (#76 <https://github.com/ros-controls/gz_ros2_control/issues/76>)
  * Remove warnings (#72 <https://github.com/ros-controls/gz_ros2_control/issues/72>)
  * change component name for ignition (#69 <https://github.com/ros-controls/gz_ros2_control/issues/69>)
  * Added logic for activating hardware interfaces (#68 <https://github.com/ros-controls/gz_ros2_control/issues/68>)
  * Force setting use_sim_time parameter when using plugin. (#100 <https://github.com/ros-controls/gz_ros2_control/issues/100>) (#102 <https://github.com/ros-controls/gz_ros2_control/issues/102>)
  * Contributors: Alejandro Hernández Cordero, Andy Zelenak, Bence Magyar, Denis Štogl, Lovro, Tianyu Li, sp-sophia-labs

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 27 Mar 2023 22:00:00 -0000

ros-humble-ign-ros2-control (0.4.3-1jammy) jammy; urgency=high

  * Fix example demos in humble branch #118 <https://github.com/ros-controls/gz_ros2_control/issues/118> from iche033/iche033/fix_humble_demos
  * Remove URDF dependency (#56 <https://github.com/ros-controls/gz_ros2_control/issues/56>)
  * Adapt to ROS 2 Humble
  * typo in citadel name (#54 <https://github.com/ros-controls/gz_ros2_control/issues/54>)
  * ros2_control is now having usings under its namespace. (#43 <https://github.com/ros-controls/gz_ros2_control/issues/43>)
  * Fix default ign gazebo version Rolling (#45 <https://github.com/ros-controls/gz_ros2_control/issues/45>)
  * Fix ignition version in package.xml - Rolling (#41 <https://github.com/ros-controls/gz_ros2_control/issues/41>)
  * Add support for initial_values for hardware interfaces when starting simulation. (#27 <https://github.com/ros-controls/gz_ros2_control/issues/27>)
  * Contributors: Alejandro Hernández Cordero, Denis Štogl, Guillaume Beuzeboc, Tianyu Li

 -- Alejandro Hernández <alejandro@openrobotics.com>  Wed, 15 Feb 2023 23:00:00 -0000

ros-humble-ign-ros2-control (0.4.0-1jammy) jammy; urgency=high

  * Fix default ign gazebo version Galactic (#44 <https://github.com/ignitionrobotics/ign_ros2_control/issues/44>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernández <alejandro@openrobotics.com>  Thu, 17 Mar 2022 23:00:00 -0000

ros-humble-ign-ros2-control (0.3.0-1jammy) jammy; urgency=high

  * Fix ignition version in package.xml (#40 <https://github.com/ignitionrobotics/ign_ros2_control/issues/40>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernández <alejandro@openrobotics.com>  Tue, 15 Mar 2022 23:00:00 -0000

ros-humble-ign-ros2-control (0.2.0-1jammy) jammy; urgency=high

  * Merge pull request #36 <https://github.com/ignitionrobotics/ign_ros2_control/issues/36> from ignitionrobotics/ahcorde/foxy_to_galactic
    Foxy -> Galactic
  * Merge remote-tracking branch 'origin/foxy' into ahcorde/foxy_to_galactic
  * typo fix. (#25 <https://github.com/ignitionrobotics/ign_ros2_control/issues/25>)
  * Contributors: Alejandro Hernández Cordero, Tomoya Fujita

 -- Alejandro Hernández <alejandro@openrobotics.com>  Wed, 16 Feb 2022 23:00:00 -0000

ros-humble-ign-ros2-control (0.1.2-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-humble-ign-ros2-control
Section: misc
Priority: optional
Maintainer: Alejandro Hernández <alejandro@openrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libignition-gazebo6-dev, libignition-plugin-dev, ros-humble-ament-cmake, ros-humble-ament-index-cpp, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-controller-manager, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ign-ros2-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-gazebo6-dev, libignition-plugin-dev, ros-humble-ament-index-cpp, ros-humble-controller-manager, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Description: Ignition ros2_control package allows to control simulated robots using ros2_control framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ign-ros2-control//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-ign-ros2-control 0.7.8

=== debian/changelog ===
ros-humble-ign-ros2-control (0.7.8-2bookworm) bookworm; urgency=high

  * Fixed target of ament_export_libraries (#300 <https://github.com/ros-controls/gz_ros2_control/issues/300>)
  * Added parameters robot_param and robot_param_node (#275 <https://github.com/ros-controls/gz_ros2_control/issues/275>)
  * Update precommit config (backport #271 <https://github.com/ros-controls/gz_ros2_control/issues/271>) (#278 <https://github.com/ros-controls/gz_ros2_control/issues/278>)
    * Update precommit config (#271 <https://github.com/ros-controls/gz_ros2_control/issues/271>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit 492ed646010fc55a6acc32d07138ddda8824aff5)
    * make linters happy
    ---------
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 13 May 2024 16:00:00 -0000

ros-humble-ign-ros2-control (0.7.7-2bookworm) bookworm; urgency=high

  * Fix #259 <https://github.com/ros-controls/gz_ros2_control/issues/259> - ParameterAlreadyDeclaredException for parameter position_proportional_gain (backport #261 <https://github.com/ros-controls/gz_ros2_control/issues/261>) (#262 <https://github.com/ros-controls/gz_ros2_control/issues/262>)
    Co-authored-by: Patrick Roncagliolo <mailto:ronca.pat@gmail.com>
    Co-authored-by: Alejandro Hernandez Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 08 Apr 2024 16:00:00 -0000

ros-humble-ign-ros2-control (0.7.6-2bookworm) bookworm; urgency=high

  * Fix typo (#253 <https://github.com/ros-controls/gz_ros2_control/issues/253>) (#254 <https://github.com/ros-controls/gz_ros2_control/issues/254>)
    (cherry picked from commit a98cb2a8b72827b7c1669987d6a12d3f0b30a41e)
    Co-authored-by: Stephanie Eng <mailto:stephanie-eng@users.noreply.github.com>
  * Fix #247 <https://github.com/ros-controls/gz_ros2_control/issues/247> (#248 <https://github.com/ros-controls/gz_ros2_control/issues/248>) (#250 <https://github.com/ros-controls/gz_ros2_control/issues/250>)
    (cherry picked from commit 94745e6f5f051214ac9862051f9a918685f2c6b9)
    Co-authored-by: Graziato Davide <mailto:85335579+Fixit-Davide@users.noreply.github.com>
  * Fix initial_value not working (backport #241 <https://github.com/ros-controls/gz_ros2_control/issues/241>) (#243 <https://github.com/ros-controls/gz_ros2_control/issues/243>)
    * Reset Gazebo with initial joint positions and velocities (#241 <https://github.com/ros-controls/gz_ros2_control/issues/241>)
    (cherry picked from commit c5b0b9049ce75410e75d1828242c1dfd5b19bb80)
    Co-authored-by: Ruddick Lawrence <mailto:679360+mrjogo@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Use portable versio for usleep (backport #237 <https://github.com/ros-controls/gz_ros2_control/issues/237>) (#238 <https://github.com/ros-controls/gz_ros2_control/issues/238>)
    * Use portable versio for usleep (#237 <https://github.com/ros-controls/gz_ros2_control/issues/237>)
    (cherry picked from commit 0bdf13e6986c613c99a595889a587da1db6d7f69)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Fix crashing due to an invalid parameter in the initial value (backport #233 <https://github.com/ros-controls/gz_ros2_control/issues/233>) (#234 <https://github.com/ros-controls/gz_ros2_control/issues/234>)
    * Fix crashing due to an invalid parameter in the initial value (#233 <https://github.com/ros-controls/gz_ros2_control/issues/233>)
    (cherry picked from commit a3beadb014f62e0808033de2c5ad84e2428c36e9)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, Ruddick Lawrence, Stephanie Eng, Graziato Davide, mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Wed, 20 Mar 2024 16:00:00 -0000

ros-humble-ign-ros2-control (0.7.5-2bookworm) bookworm; urgency=high

  * Load the URDF to the resource_manager before parsing it to CM (#222 <https://github.com/ros-controls/gz_ros2_control/issues/222>) (#225 <https://github.com/ros-controls/gz_ros2_control/issues/225>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit 5a948050563881dba20effec3ccb678e4f375529)
    Co-authored-by: Sai Kishor Kothakota <mailto:saisastra3@gmail.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-ign-ros2-control (0.7.3-2bookworm) bookworm; urgency=high



 -- Alejandro Hernández <alejandro@openrobotics.com>  Wed, 03 Jan 2024 16:00:00 -0000

ros-humble-ign-ros2-control (0.7.2-2bookworm) bookworm; urgency=high

  * Add controller name parameter (#212 <https://github.com/ros-controls/gz_ros2_control/issues/212>)
  * Fix stuck passive joints (#184 <https://github.com/ros-controls/gz_ros2_control/issues/184>) (#206 <https://github.com/ros-controls/gz_ros2_control/issues/206>)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    (cherry picked from commit 0a8d4464e15e4f13ea0673311c60a891d6a836ec)
    Co-authored-by: Johannes Huemer <mailto:johannes.huemer@ait.ac.at>
  * Contributors: Jakub Delicat, mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Wed, 03 Jan 2024 16:00:00 -0000

ros-humble-ign-ros2-control (0.7.1-2bookworm) bookworm; urgency=high

  * Catch pluginlib exceptions (backport #175 <https://github.com/ros-controls/gz_ros2_control/issues/175>) (#176 <https://github.com/ros-controls/gz_ros2_control/issues/176>)
  * Fixed install include (#162 <https://github.com/ros-controls/gz_ros2_control/issues/162>)


=== debian/control ===
Source: ros-humble-ign-ros2-control
Section: misc
Priority: optional
Maintainer: Alejandro Hernández <alejandro@openrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libignition-gazebo-dev, libignition-plugin-dev, ros-humble-ament-cmake, ros-humble-ament-index-cpp, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-controller-manager, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ign-ros2-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-gazebo-dev, libignition-plugin-dev, ros-humble-ament-index-cpp, ros-humble-controller-manager, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-yaml-cpp-vendor, ros-humble-ros-workspace
Description: Ignition ros2_control package allows to control simulated robots using ros2_control framework.

## ros-humble-ign-ros2-control 0.7.9

=== debian/changelog ===
ros-humble-ign-ros2-control (0.7.9-2bookworm) bookworm; urgency=high

  * Don't crash if a wrong config was detected (#324 <https://github.com/ros-controls/gz_ros2_control/issues/324>) (#330 <https://github.com/ros-controls/gz_ros2_control/issues/330>)
    (cherry picked from commit ec1b95893fa933cb3e2cc5341bb65dd621645785)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Harden behavior if a joint is not found in the model (backport #325 <https://github.com/ros-controls/gz_ros2_control/issues/325>) (#326 <https://github.com/ros-controls/gz_ros2_control/issues/326>)
    * Don't crash if a joint does not exist
  * Changed to use spin instead of spin_once to enable multithreading with MultiThreadedExecutor (#315 <https://github.com/ros-controls/gz_ros2_control/issues/315>) (#320 <https://github.com/ros-controls/gz_ros2_control/issues/320>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit 45035076408e6014cc911e8d4bc169572a25008c)
    Co-authored-by: Takashi Sato <mailto:t.sato17123@gmail.com>
  * Contributors: Christoph Fröhlich, mergify[bot]

 -- Alejandro Hernández <alejandro@openrobotics.com>  Mon, 01 Jul 2024 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ign-ros2-control//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ign-ros2-control//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-ign-ros2-control//opt/ros/humble/opt/ign_ros2_control/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
